[pypy-dev] PyPy on Solaris?

Armin Rigo arigo at tunes.org
Mon Jan 30 21:37:31 CET 2012


On Mon, Jan 30, 2012 at 17:26,  <skip at pobox.com> wrote:
> I'm trying to build PyPy (1.7) on Solaris and keep getting this error very
> early in the translate process:
>    /opt/app/nonc++/gcc-4.5.2/lib/gcc/i386-pc-solaris2.10/4.5.2/include-fixed/sys/feature_tests.h:345:2:
>    error: #error "Compiler or options invalid; UNIX 03 and POSIX.1-2001
>    applications  require the use of c99"

Sorry, Solaris is unsupported; we only support ourselves linux, os/x and win32.

You have to figure out yourself what this error message means and to
work around it.  It may be just that gcc needs to be called with the
flag -std=c99 on Solaris.  You can try to set  CC="gcc -std=c99".  No
real clue, though.  I will let others with a similar environment
answer you more precisely.

A bientôt,


More information about the pypy-dev mailing list